//! `SeaORM` Entity, @generated by sea-orm-codegen 1.1.0

use sea_orm::entity::prelude::*;

#[derive(Clone, Debug, PartialEq, DeriveEntityModel, Eq)]
#[sea_orm(table_name = "Snapshot")]
pub struct Model {
    #[sea_orm(primary_key, auto_increment = false)]
    pub id: Uuid,
    #[sea_orm(column_name = "appInstallationId")]
    pub app_installation_id: Uuid,
    #[sea_orm(column_name = "volumeSnapshots", column_type = "JsonBinary")]
    pub volume_snapshots: Json,
    #[sea_orm(column_name = "createdAt")]
    pub created_at: DateTime,
    #[sea_orm(column_type = "Text")]
    pub reason: String,
    #[sea_orm(column_name = "appChart", column_type = "VarBinary(StringLen::None)")]
    pub app_chart: Vec<u8>,
}

#[derive(Copy, Clone, Debug, EnumIter, DeriveRelation)]
pub enum Relation {
    #[sea_orm(
        belongs_to = "super::app_installation::Entity",
        from = "Column::AppInstallationId",
        to = "super::app_installation::Column::Id",
        on_update = "Cascade",
        on_delete = "Restrict"
    )]
    AppInstallation,
}

impl Related<super::app_installation::Entity> for Entity {
    fn to() -> RelationDef {
        Relation::AppInstallation.def()
    }
}

impl ActiveModelBehavior for ActiveModel {}
